/*===========================================================================*/
/* SEED reader     |              free_type48              |  station header */
/*===========================================================================*/
/*
	Name:		free_type48
*/

#include "rdseed.h"

void free_type48 ()
{
	struct type48 *type48, *t;
	int i;

	type48 = type48_head;
	while (type48 != NULL)
	{	
		free(type48->name);
		for (i = 0; i < type48->number_calibrations; i++)
		{
			free(type48->calibration[i].time);
		}
		free ((char *)(type48->calibration));

		t = type48->next;
		free((char *) type48);
		type48 = t;
	}
	type48_head = NULL;
}
