
/*===========================================================================*/
/* SEED reader     |               free_type71             |     time header */
/*===========================================================================*/
/*
	Name:		free_type71
*/

#include "rdseed.h"

void free_type71 ()
{
	struct type71 *type71, *t; 
	int i;


	type71 = type71_head;
	while (type71 != NULL)
	{	
		free(type71->origin_time);

		for (i = 0; i < type71->number_magnitudes; i++)
		{
			free(type71->magnitude[i].type);
		}
		free((char *)type71->magnitude);

		t = type71->next;
		free((char *)type71);
		type71 = t;
	}
	type71_head = NULL;
}
